"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.IterableBackoff = void 0;
/**
 * Backoff that returns a number from an iterable.
 */
class IterableBackoff {
    constructor(durations) {
        this.durations = durations;
    }
    /**
     * @inheritdoc
     */
    next() {
        return instance(this.durations, 0);
    }
}
exports.IterableBackoff = IterableBackoff;
const instance = (durations, index) => ({
    duration: durations[index],
    next: () => (index < durations.length - 1 ? instance(durations, index + 1) : undefined),
});
//# sourceMappingURL=IterableBackoff.js.map