import { IBackoff, IBackoffFactory } from './Backoff';
/**
 * Backoff that returns a constant interval.
 */
export declare class ConstantBackoff implements IBackoffFactory<unknown> {
    private readonly interval;
    private readonly limit?;
    constructor(interval: number, limit?: number | undefined);
    /**
     * @inheritdoc
     */
    next(): IBackoff<unknown>;
}
/**
 * Backoff that never retries.
 */
export declare const NeverRetryBackoff: ConstantBackoff;
